For the complete documentation index, see llms.txt. This page is also available as Markdown.

Flight

Get flight information

get
/v1/flight/info

Returns flight information. Flight information contains properties that either do not change (ex. physical limitations) or change rarely (ex. legal restrictions).

Required scopes
This endpoint requires the following scopes:
  • : Grants access to retrieve system data and information.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Responses
200

Success execution

application/json

Flight information

altitude_takeoffnumberOptional

Kite takeoff altitude (meters). The takeoff altitude is the altitude to which the Kite rises after takeoff. Important: The Kite cannot fly lower than the takeoff altitude.

altitude_hard_maxnumberRequired

Maximum altitude (hard limit) of the Fotokite system (meters). Hard limit dictated by system capabilities or legal restrictions. The Kite cannot fly higher than this altitude.

altitude_soft_maxnumberRequired

Maximum altitude (soft limit) of the Fotokite system (meters). This value can be set by an operator or API client to limit the maximum altitude of the Kite (ex. for safety reasons). This value resets on system reboot. The Kite cannot fly higher than this altitude.

total_kite_flight_hoursnumberOptional

Total Kite flight time (hours). This value can be used for maintenance purposes. Note: initial value can be greater than 0 due to pre-delivery testing.

get/v1/flight/info
GET /api/v1/flight/info HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
200

Success execution

{
  "altitude_takeoff": 1,
  "altitude_hard_max": 45,
  "altitude_soft_max": 10,
  "total_kite_flight_hours": 15.3
}

Get flight state

get
/v1/flight/state

Returns frequently changing flight information.

Required scopes
This endpoint requires the following scopes:
  • : Grants access to retrieve system data and information.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Responses
200

Success execution

application/json

Represents frequently changing flight information. A property is not presented if it could not be gathered (for example due to a magnetometer or a GPS issue). Note: there is always a margin of error between the altitude_target and the altitude the Kite will take. And this error is not a constant.

flight_statestring · enumRequired

Flight state enumeration

  • Unknown - We couldn't get required data to conclude flight sate. This may happen due to numerous reasons: Kite detached, Kite power is off, etc. More information can be found in notifications.
  • StandBy - Kite is on the Ground Station
  • TakingOff - Kite is doing preflight checks or taking off
  • Flying - Kite is flying
  • Landing - Kite is landing
  • SafetyLanding - Kite is landing due to a critical issue happened during the flight. More information can be found in notifications.
  • SafetyDescending - Kite is descending for safety reasons (due to strong wind or weak GPS signal). More information can be found in notifications.
Possible values:
altitudenumberOptional

Current Kite altitude above the Ground Station (meters)

altitude_targetnumberOptional

Target Kite altitude set by the user (meters)

kite_headingnumber · max: 360Optional

Kite heading [0..+360) (degrees)

is_rotatingbooleanOptional

Whether Kite is rotating (changing heading) (ex. as a result of the rotation command). True - Kite is rotating

is_changing_altitudebooleanOptional

Whether Kite is changing altitude (ex. as a result of the set altitude command). True - Kite is changing altitude

kite_gps_has_fixbooleanOptional

Whether the data reported by the Kite GPS is useable

kite_gps_latnumber · min: -90 · max: 90Optional

Latitude reported by Kite GPS [-90..+90] (degrees)

kite_gps_lonnumber · min: -180 · max: 180Optional

Longitude reported by Kite GPS (-180..+180] (degrees)

kite_gps_elevationnumberOptional

Elevation reported by Kite GPS (meters)

kite_gps_accuracynumberOptional

Kite GPS accuracy in meters

get/v1/flight/state
GET /api/v1/flight/state HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
200

Success execution

{
  "flight_state": "Flying",
  "altitude": 40,
  "altitude_target": 11,
  "kite_heading": 98,
  "is_rotating": false,
  "is_changing_altitude": true,
  "kite_gps_has_fix": true,
  "kite_gps_lat": 47.3883959,
  "kite_gps_lon": 8.5229581,
  "kite_gps_elevation": 443,
  "kite_gps_accuracy": 0.23
}

Take off

post
/v1/flight/control/take_off
Required scopes
This endpoint requires the following scopes:
  • : Allows sending commands to control the system.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Responses
202

The command was sent successfully

No content

post/v1/flight/control/take_off
POST /api/v1/flight/control/take_off HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Land

post
/v1/flight/control/land
Required scopes
This endpoint requires the following scopes:
  • : Allows sending commands to control the system.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Responses
202

The command was sent successfully

No content

post/v1/flight/control/land
POST /api/v1/flight/control/land HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Abort take off, landing, or rotation command

post
/v1/flight/control/abort
Required scopes
This endpoint requires the following scopes:
  • : Allows sending commands to control the system.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Responses
202

The command was sent successfully

No content

post/v1/flight/control/abort
POST /api/v1/flight/control/abort HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Set target altitude

post
/v1/flight/control/altitude
Required scopes
This endpoint requires the following scopes:
  • : Allows sending commands to control the system.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Body

Control altitude request data

altitudenumberRequired

Sets target Kite altitude above the Ground Station (meters). Must not be lower than Kite takeoff altitude + 1 meter. But lower than both altitude_hard_limit and altitude_soft_limit. Note: there is always a margin of error between the altitude_target and the altitude the Kite will take. And this error is not a constant.

Example: 20
Responses
202

The command was sent successfully

No content

post/v1/flight/control/altitude
POST /api/v1/flight/control/altitude HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "altitude": 20
}

No content

Set flight max altitude (soft limit)

post
/v1/flight/control/altitude_soft_max

Sets or updates the Kite flight max altitude (soft limit). If the Kite is airborne at an altitude above the new soft limit, it will automatically descend to comply with the new limit. Note: this value resets on system reboot.

Required scopes
This endpoint requires the following scopes:
  • : Allows sending commands to control the system.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Body

Control altitude soft limit request data

altitudenumberRequired

Maximum altitude (soft limit)

Example: 20
Responses
204

The command was sent successfully

No content

post/v1/flight/control/altitude_soft_max
POST /api/v1/flight/control/altitude_soft_max HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "altitude": 20
}

No content

Last updated